## imaptool 0.6.1

=== Makefile ===
#Do you want to use jpeg-library???
JPEG_INCLUDE=-I/usr/local/include/
JPEG_CHOICE=-DUSE_JPEG_LIB $(JPEG_INCLUDE)
#JPEG_CHOICE=
LIBRARIES=-lXt -lXaw -lXmu -lXext -lX11 -ljpeg -lm
#LIBRARIES=-lXt -lXaw -lXmu -lXext -lX11 -lm

CC=gcc -I/usr/X11R6/include/

LIBDIR=-L/usr/local/lib -L/usr/X11R6/lib
OBJECTS=imaptool.o file2pixmap.o dgif_lib.o gif_err.o gifalloc.o
imaptool:	$(OBJECTS)
		$(CC) -o imaptool $(LIBDIR) $(OBJECTS) $(LIBRARIES) 
imaptool.o:	imaptool.c icon iconmask
		$(CC) -c imaptool.c
file2pixmap.o:	file2pixmap.c
		$(CC) -c file2pixmap.c $(JPEG_CHOICE)
dgif_lib.o:	dgif_lib.c
		$(CC) -c dgif_lib.c
gif_err.o:	gif_err.c
		$(CC) -c gif_err.c
gifalloc.o:	gifalloc.c
		$(CC) -c gifalloc.c

## imaptool 0.9

=== Makefile ===
--- 
+++ 
@@ -22,3 +22,5 @@
 gifalloc.o:	gifalloc.c
 		$(CC) -c gifalloc.c
 
+clean:
+	rm $(OBJECTS) imaptool

=== debian/changelog ===
imaptool (0.9-17) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Add a Homepage field.
  * Add a watch file.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 12:02:38 +0000

imaptool (0.9-16) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Jan 2016 13:09:09 +0000

imaptool (0.9-15) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Build with -DSYSV, whose only important effect is to avoid the
    compilation date and time being built into the binary, making the build
    reproducible.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Mar 2015 00:19:28 +0000

imaptool (0.9-14) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Jan 2014 16:55:47 +0000

imaptool (0.9-13) unstable; urgency=low

  * Policy version 3.9.4: no changes required.
  * Remove redundant debian/dirs file.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 23:18:26 +0100

imaptool (0.9-12) unstable; urgency=low

  * Adjust dpkg-dev and debhelper build-dependencies to allow for backports.
  * Fix upstream build system to honour CPPFLAGS and LDFLAGS.
  * Remove article from start of package synopsis.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 13:06:11 +0100

imaptool (0.9-11) unstable; urgency=low

  * Policy version 3.9.2: no changes required.
  * Build-Depend on libjpeg-dev rather than libjpeg62-dev (closes: #642837).
  * Use 'dpkg-buildflags --export=configure' to set default compiler flags.
    Requires dpkg-dev (>= 1.16.1).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Sep 2011 17:45:15 +0100

imaptool (0.9-10) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Add a 'quilt-setup' target to debian/rules for the benefit of those
    checking out the package from revision control.
  * All patches are now maintained separately and tagged according to DEP-3.
  * Use dh_install and dh_installman rather than patching in a 'make
    install' target.

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 01:04:23 +0000

imaptool (0.9-9) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Policy version 3.8.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Aug 2009 00:03:55 +0100

imaptool (0.9-8) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian;
    closes: #515374).
  * Add actual copyright statements to copyright file, and explicitly refer
    to GPL-2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:13:08 +0000

imaptool (0.9-7) unstable; urgency=low

  * Disable stripping of binaries from the Makefile; let dh_strip decide
    whether to do it (closes: #437202).
  * Use debhelper v4 and debian/compat.
  * Policy version 3.7.2: no changes required.
  * Don't ignore errors from 'make clean'. Use 'rm -f' in 'make clean'.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 10:49:24 +0000

imaptool (0.9-6) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, libxext-dev, libxmu-dev, and
    libxt-dev rather than the transitional xlibs-dev package.
  * Policy version 3.6.1: no changes required.
  * Correct imaptool(1)'s .TH line to read 1, not 1x (thanks, lintian).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2004 14:12:20 +0000

imaptool (0.9-5) unstable; urgency=low

  * Install man page as imaptool.1, not imaptool.1x.
  * Build with debugging symbols and warnings, plus optimizations if
    $DEB_BUILD_OPTIONS does not contain 'noopt'.
  * Add some missing prototypes exposed by -Wall. These will have caused
    problems on machines where sizeof(int) != sizeof(void *).
  * Remove Emacs local variables block from this changelog.
  * If given a filename without any slashes, don't just say "unexpected
    error" (when trying to strip off the directory to find the map name),
    but do the right thing instead.
  * Policy version 3.5.8.

 -- Colin Watson <cjwatson@debian.org>  Sat, 25 Jan 2003 02:26:33 +0000

imaptool (0.9-4) unstable; urgency=low

  * New maintainer (closes: #107425).
  * Use debhelper 2, and clean up debian/rules.
  * /usr/X11R6/bin -> /usr/bin, /usr/X11R6/man -> /usr/share/man.
  * Minor additions to package description.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Oct 2001 23:32:48 +0100

imaptool (0.9-3) unstable; urgency=low

  * Add build-dependency on libxaw7-dev (closes: #111080, #111147).

 -- Colin Watson <cjwatson@debian.org>  Sat,  8 Sep 2001 03:02:55 +0100

imaptool (0.9-2) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.
  * Added build dependencies.
  * Standards-Version: 3.5.6

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 31 Aug 2001 20:28:00 +0200

imaptool (0.9-1) unstable; urgency=low

  * New upstream author.  New version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 19 Jan 2000 18:24:29 -0800

imaptool (0.6.1-1) unstable; urgency=low

  * Changed Depends to libjpeg62 from libjpeg6a

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 27 Sep 1999 15:24:58 -0700

imaptool (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Sun, 24 May 1998 13:37:29 -0700

=== debian/control ===
Source: imaptool
Section: web
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), x11proto-core-dev, libx11-dev, libxext-dev, libxmu-dev, libxt-dev, libjpeg-dev, libxaw7-dev
Standards-Version: 3.9.6
Homepage: http://www.sspitzer.org/imaptool/
Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/imaptool.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/imaptool.git/

Package: imaptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for creating client-side image maps
 A simple (yet useful and free) tool for creating client-side image maps,
 supporting GIF and JPEG images.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := -DSYSV -D_FILE_OFFSET_BITS=64
export DEB_CFLAGS_MAINT_APPEND := -Wall

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

# You only need to run this immediately after checking out the package from
# revision control.
quilt-setup:
	[ ! -d .pc ]
	set -e; for patch in $$(quilt series | tac); do \
		patch -p1 -R --no-backup-if-mismatch <"debian/patches/$$patch"; \
	done
	quilt push -a

.PHONY: quilt-setup

=== debian/watch ===
version=3
http://www.sspitzer.org/imaptool/ ./imaptool-(.+)\.tar\.gz
